
package com.tmerclub.cloud.product.model;

import com.tmerclub.cloud.common.model.BaseModel;

import java.io.Serial;
import java.io.Serializable;


/**
 * 赠品套装商品项
 *
 * @author tmerclub
 * @date 2022-08-16 11:11:59
 */
public class GiveawaySpu extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 赠品商品项id
     */
    private Long giveawaySpuId;

    /**
     * 赠品id
     */
    private Long giveawayId;

    /**
     * 商品id
     */
    private Long spuId;

    /**
     * skuId
     */
    private Long skuId;

    /**
     * 赠送数量
     */
    private Integer giveawayNum;

    /**
     * 退货价
     */
    private Long refundPrice;

    /**
     * 状态 1：正常 0：失效 -1：删除
     */
    private Integer status;

    public Long getGiveawaySpuId() {
        return giveawaySpuId;
    }

    public void setGiveawaySpuId(Long giveawaySpuId) {
        this.giveawaySpuId = giveawaySpuId;
    }

    public Long getGiveawayId() {
        return giveawayId;
    }

    public void setGiveawayId(Long giveawayId) {
        this.giveawayId = giveawayId;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public Long getSkuId() {
        return skuId;
    }

    public void setSkuId(Long skuId) {
        this.skuId = skuId;
    }

    public Integer getGiveawayNum() {
        return giveawayNum;
    }

    public void setGiveawayNum(Integer giveawayNum) {
        this.giveawayNum = giveawayNum;
    }

    public Long getRefundPrice() {
        return refundPrice;
    }

    public void setRefundPrice(Long refundPrice) {
        this.refundPrice = refundPrice;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "GiveawaySpu{" +
                "giveawaySpuId=" + giveawaySpuId +
                ",giveawayId=" + giveawayId +
                ",spuId=" + spuId +
                ",skuId=" + skuId +
                ",giveawayNum=" + giveawayNum +
                ",refundPrice=" + refundPrice +
                ",status=" + status +
                '}';
    }
}
